import { FunctionComponent } from "react";
import { IconProps } from "./type";

export const ExitIcon: FunctionComponent<IconProps> = ({ className }) => {
  return (
    <svg
      width="20"
      height="20"
      viewBox="0 0 24 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M21.8535 12.6465L19.0254 9.81836C18.8301 9.62305 18.5137 9.62305 18.3184 9.81836C18.123 10.0137 18.123 10.3301 18.3184 10.5254L20.293 12.5H16.8484C16.8484 10.1577 16.7153 7.81543 16.4492 5.48926C16.2422 3.68652 14.9102 2.24512 13.1348 1.90039C10.3916 1.36914 7.60889 1.36914 4.86475 1.90039C3.08936 2.24512 1.75781 3.68652 1.55127 5.48926C1.01855 10.1387 1.01855 14.8564 1.55127 19.5107C1.75781 21.3135 3.08936 22.7549 4.86475 23.0996C6.23682 23.3652 7.61816 23.498 9 23.498C10.3813 23.498 11.7632 23.3652 13.1348 23.0996C14.9102 22.7549 16.2422 21.3135 16.4492 19.5107C16.6774 17.5158 16.7874 15.5085 16.8199 13.5H20.293L18.3184 15.4746C18.123 15.6699 18.123 15.9863 18.3184 16.1816C18.416 16.2793 18.5439 16.3281 18.6719 16.3281C18.7998 16.3281 18.9277 16.2793 19.0254 16.1816L21.8535 13.3535C22.0488 13.1582 22.0488 12.8418 21.8535 12.6465ZM15.4551 19.3975C15.2988 20.7637 14.29 21.8574 12.9448 22.1172C10.3276 22.625 7.67236 22.625 5.05518 22.1172C3.71045 21.8564 2.70117 20.7637 2.54443 19.3975C2.021 14.8184 2.021 10.1777 2.54443 5.60254C2.70117 4.23633 3.71045 3.14355 5.05518 2.88281C6.36377 2.62891 7.68213 2.50195 9 2.50195C10.3179 2.50195 11.6362 2.62891 12.9448 2.88281C14.29 3.14258 15.2988 4.23633 15.4551 5.60254C15.7168 7.89111 15.8477 10.1956 15.8477 12.5H11.5C11.2236 12.5 11 12.7236 11 13C11 13.2764 11.2236 13.5 11.5 13.5H15.8193C15.7869 15.4706 15.6789 17.4401 15.4551 19.3975Z"
        fill="currentColor"
      />
    </svg>
  );
};
